package com.ssj.service.weixin.library.service;

import java.util.List;

import com.ssj.bean.weixin.libmy.domain.LibVipBind;
import com.ssj.framework.core.common.service.BaseService;

public interface LibVipBindService extends BaseService<LibVipBind, String> {
	
	/**
	 * 通过校长绑定学生，通过老师绑定校长
	 * vipId不能为空，
	 * masterId   与  teacherId 两者其一可为空。
	 * @param bind
	 * @return
	 */
	void  vipBindByMasterId(String vipId,String masterId,String teacherId,String userId);

	List<LibVipBind> findVipByVipIdsAndMaster(String[] vipIds, String masterId);
	/**
	 * 只允许家长绑定一个校长。（名下的小孩绑定同一个校长）
	* @param userId
	* @return
	* 创建人：ZhangCaibao 
	* 2018年6月29日 下午5:31:10 
	* @LibVipBind
	 */
	LibVipBind  findByUserId(String userId);

	LibVipBind findByVipId(String studentId);

	/**
	 * 查询校长绑定的所有学生
	 * @param masterId
	 * @return
	 */
	List<LibVipBind> findVipBindsByMasterId (String masterId);
	
	public int checkIsBindMaster(String vipId);

	/**
	 * 查询会员科目绑定
	 *
	 * @param vipId
	 * @param subject
	 * @return
	 */
	LibVipBind findByVipIdAndSubject(String vipId, String subject);
}
